Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::RemoteModbusTCPDevice Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteModbusTCPDevice:

## Public Attributes
string | ipAddress
| modbus device ip address
int | tcpPort
| modbus tcp port
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteModbusDevice
map< int, string > | detectionIdentifiers
| list of expected device identifiers
int | unitId
| modbus server address
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Definition at line 317 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ ipAddress

string peripheral::GatewaySensorManager::RemoteModbusTCPDevice::ipAddress

modbus device ip address

Definition at line 318 of file GatewaySensorManager.idl.

## ◆ tcpPort

int peripheral::GatewaySensorManager::RemoteModbusTCPDevice::tcpPort

modbus tcp port

Definition at line 319 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl